Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 03 Jun 2021 01:44:25 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi , 

I received a message that my order was out for delivery today @7:34AM order number 9665331265. I've waited for whole day no order came. I called your customer service she said she cannot give out courier contact number , i ask for the company of the courier she said she cannot give also . so how can i follow up my order ? very strange . https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2650355